Кіріспе

Кеңес/Ресейлік ұлттық стандартты блок шифры – GOST блок шифры (Magma), ГОСТ 28147-89 (RFC 5830) стандартында анықталған. Бұл Кеңес және Ресей үкіметтерінің симметриялық кілтті блок шифры болып табылады, оның блок мөлшері 64 бит. 1989 жылы жарияланған бастапқы стандарт шифрға есім бермеген, бірақ стандарттың соңғы түзетуі, GOST R 34.12-2015 (RFC 7801, RFC 8891) оны Магма деп атауға рұқсат береді. Осылайша, екеуінің құрылымы өте ұқсас.

GOST-тың криптоанализі

GOST-тың соңғы криптоанализі оның теориялық тұрғыдан қауіпсіз екенін көрсетеді. Іс жүзінде, ең жақсы жарияланған шабуылдардың дерек және жад күрделілігі практикалық деңгейге жетті, бірақ ең жақсы шабуылдың уақыт күрделілігі 264 дерек болған жағдайда да 2192 құрайды. 2007 жылдан бері GOST-тың қысқартылған раундтарына және/немесе әлсіз кілттерге қарсы бірнеше шабуыл жасалды. 2011 жылы бірнеше авторлар GOST-та маңызды кемшіліктерді анықтады, соның арқасында олар алғаш рет кез келген кілттермен толық 32 раундты GOST-қа шабуыл жасай алды. Николя Куртуа оны тіпті «өте осал шифр» деп атады. Бастапқы шабуылдар үлкен жад көлемдерін қажет ете отырып, уақыт күрделілігін 2256-дан 2228-ге дейін төмендетуге мүмкіндік берді, ал кейін олар уақыт күрделілігін 2178-ге дейін жақсартты (270 жад және 264 дерек есебінен). 2012 жылдың желтоқсанында Куртуа, Гавинэцки және Сонг GOST-қа қарсы шабуылдарды жақсартты, тек 2101 GOST раундын есептеу арқылы. Изобе толық GOST шифрына бір кілтпен шабуыл жасауды жариялаған еді, ал Динур, Дункельман және Шамир оны жетілдіріп, 232 дерек және 236 жад үшін 2224 уақыт күрделілігіне, ал 264 дерек үшін 2192 уақыт күрделілігіне жетті. Шабуылдар күтілетін күшті 2256 (кілт ұзындығы) -дан шамамен 2178-ге дейін төмендеткендіктен, шифрдың бұзылғаны есептеледі. Дегенмен, бұл шабуыл практикалық тұрғыдан мүмкін емес, себебі орындалуға тиіс тесттердің саны – 2178, ол қол жетімсіз. Ескеріңіз, n биттік блок өлшемі бар кез келген блок шифры үшін, туған күн парадоксының салдарынан, қайта кілттеуден бұрын шифрланатын жай мәтіннің максималды көлемі 2n/2 блокқа тең, және жоғарыда аталған шабуылдардың ешқайсысы 232 деректен кем емес.